% Figure 2
clc;
clear all;
close all;

load IRFS;
load IRFS_comp;

% Creating variable "quarters"
quarters=zeros(20,1);
for i=1:20
    quarters(i,:)=i-1;
end
zer=zeros(20,1);

figure (2)
subplot(3,2,1)
plot(quarters,100*bgov_sep,quarters,100*bgov_comp,':k',quarters,zer,'-r')
xlabel('quarters','FontSize',11)
ylabel('% dev. from steady state','FontSize',11)
title('Stock of Government Bonds')
legend('Separable','Complements (\theta = -2)', 'Location','Northeast')
subplot(3,2,2)
plot(quarters,100*M_sep,quarters,100*M_comp,':k',quarters,zer,'-r')
title('Nominal Money Supply')
subplot(3,2,3)
plot(quarters,100*Ms_sep,quarters,100*Ms_comp,':k',quarters,zer,'-r')
title('Nominal Balances of Lender')
subplot(3,2,4)
plot(quarters,100*Cs_sep,quarters,100*Cs_comp,':k',quarters,zer,'-r')
title('Consumption of Lender')
subplot(3,2,5)
plot(quarters,100*rreal_sep,quarters,100*rreal_comp,':k',quarters,zer,'-r')
title('Real Short Rate')
subplot(3,2,6)
plot(quarters,100*R_sep,quarters,100*R_comp,':k',quarters,zer,'-r')
title('Real Mortgage Rate')

figure (3)
subplot(3,2,1)
plot(quarters,100*H0_sep,quarters,100*H0_comp,':k',quarters,zer,'-r')
xlabel('quarters','FontSize',11)
ylabel('% dev. from steady state','FontSize',11)
title('Residential Investment')
legend('Separable','Complements (\theta = -2)', 'Location','Northeast')
subplot(3,2,2)
plot(quarters,100*C_sep,quarters,100*C_comp,':k',quarters,zer,'-r')
title('Nondurables')
subplot(3,2,3)
plot(quarters,100*L_sep,quarters,100*L_comp,':k',quarters,zer,'-r');
title ('Output','FontSize',12)
subplot(3,2,4)
plot(quarters,100*P_sep,quarters,100*P_comp,':k',quarters,zer,'-r');
title ('Price Level', 'FontSize',12)
subplot(3,2,5)
plot(quarters,100*(M_sep-P_sep),quarters,100*(M_comp-P_comp),':k',quarters,zer,'-r')
title('Real Balances')

%figure (4)
%subplot (3,2,1)
%plot(quarters,100*Rshort_ep

%figure (2)
%plot(quarters,100*C0_epsM,quarters,100*C3_epsM,'--',quarters,100*C7_epsM,':',quarters,100*C11_epsM,quarters,100*C15_epsM,'.',quarters,...
%    100*C19_epsM,quarters,zer,'-r')
%xlabel('quarters','FontSize',11)
%ylabel('% dev. from steady state','FontSize',11)
%title('Nondurables by Home Buyer Type')
%legend('C0','C3','C7','C11','C15','C19','Location','Southeast')


