% Figure 4

close all;
clear all;
clc;

load IRFS;
load IRFS_J20;
load IRFS_J30;

% Creating variable "quarters"
quarters=zeros(8,1);
for i=1:8
    quarters(i,:)=i-1;
end
zer=zeros(8,1);

figure (4)
subplot(2,1,1)
plot(quarters,100*R_sep(1:8,:),quarters,100*R_J30(1:8,:),':k',quarters,100*R_J20(1:8,:),'--',quarters,zer,'-r')
xlabel('quarters','FontSize',11)
ylabel('% dev. from steady state','FontSize',11)
title('Real Mortgage Rate')
legend('Benchmark (J=40)','J=30', 'J=20','Location','Northeast')
subplot(2,1,2)
plot(quarters,100*H0_sep(1:8,:),quarters,100*H0_J30(1:8,:),':k',quarters,100*H0_J20(1:8,:),'--',quarters,zer,'-r')
title('Residential Investment')