% Figure 5

close all;
clear all;
clc;

load IRFS_10bp;
load IRFS_J20_10bp;
load IRFS_J30_10bp;

% Creating variable "quarters"
quarters=zeros(8,1);
for i=1:8
    quarters(i,:)=i-1;
end
zer=zeros(8,1);

figure (5)
plot(quarters,10*H0_sep(1:8,:),quarters,10*H0_J30(1:8,:),':k',quarters,10*H0_J20(1:8,:),'--',quarters,zer,'-r')
xlabel('quarters','FontSize',11)
ylabel('% dev. from steady state','FontSize',11)
legend('Benchmark (J=40)','J=30', 'J=20','Location','Northeast')