cd "C:\Documents and Settings\aghent\My Documents\Dropbox\StickyMortgages\Replication Files"


#delimit;
set more 1;
drop _all;
clear;

set mem 400m;
set matsize 800;

log using varstickyhousing.log, replace;

insheet using FinalData.csv;

gen timenew = q(1956q2) + _n-1;

tsset timenew, quarterly;


var allgdpex nondur dur resinv gdpdef ppi fedfunds m2,lags(1/4); 

irf create housingirfs, step(20) bs rep(500) set(housingirfs, replace);

varirf table oirf, impulse(fedfunds) response(allgdpex nondur dur 
  resinv gdpdef ppi fedfunds m2); 

irf graph irf, impulse(fedfunds) response(allgdpex nondur dur resinv gdpdef ppi fedfunds m2);

log close;


